Subject: Re: [PATCH v3 4/8] rebase: store orig_head as a commit

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Oct 2022 16:25:21 -0700

Phillip Wood <[email-masked]> writes:

> I was wasn't convinced that the tag dereferencing was the only
> difference between lookup_commit_reference() and
> lookup_commit(). lookup_commit() calls lookup_object() and if the
> object is not in the parsed objects hash table it creates a new commit
> object with the given oid without checking if the object
> exists. lookup_commit_reference() calls parse_object() which handles
> replacement objects and checks the object actually exists.

Yes, I agree that both parse_object() and lookup_commit() are
needed, and the combo is preferred over lookup_commit_reference().

THanks.